Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Aviatrix Enterprise
POST /v2/api/disable_controller_security_group_management
cURL
curl -sk -X POST "https://<controller>/v2/api/disable_controller_security_group_management" \ -H "Authorization: cid <CID>"
import requests url = "https://<controller>/v2/api/disable_controller_security_group_management" headers = {"Authorization": "cid <CID>"} response = requests.post(url, headers=headers, verify=False) print(response.status_code) print(response.text)
package main import ( "fmt" "net/http" ) func main() { req, _ := http.NewRequest("POST", "https://<controller>/v2/api/disable_controller_security_group_management", nil) req.Header.Set("Authorization", "cid <CID>") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() fmt.Println(resp.Status) }
{ "errortype": "<string>", "reason": "<string>", "results": true, "return": true }
The opaque session ID token. Required for 7.2 controllers only.
Account name for Aviatrix controller.
The API action to perform. Required for 7.2 controllers only.
Comma-separated list of egress CIDRs for private_network gateways.
General v2 API response schema.
A generic API response container for v2 style APIs.
Error type if the API failed.
Failure reason if the API failed.
API response data
Whether the API returned successfully
Was this page helpful?